<?php
$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_fc9d7314a9d9958d8fa0a403b" . "a8ff197" => base64_decode("Z2V0X2NsYXN" . "z"), "_4d707fab93bebb00bb" . "e69e8159697c90" => base64_decode(""), "_00228d8faefcea40b88" . "e38b6f0ef8fb8" => base64_decode("V3Jvbmcgc2VyaWFsaXplZCBzdHJpbmcgb2YgQ29udHJ" . "vbA=="), "_c244a470df52d1d5a7085138ec94e3" . "93" => base64_decode("dW5z" . "ZXJp" . "YWxp" . "emU="), "_c9ae15d69685c02e" . "eabd974f86df51ba" => base64_decode("OjpEcmF3KCkgbXVzdCBiZSByZWRlZmluZW" . "Q="), "_5e9a99dc0dd49b907abf1" . "b35e96965f8" => base64_decode("dHJ" . "pbQ" . "=="), "_96be32a6f44bf54e" . "635e1736acf7a96c" => base64_decode("c2Vy" . "aWFs" . "aXpl"), "_347a4304a606a9c406a8fb" . "c8f72530a1" => base64_decode("TWV0aG9kIA=" . "="), "_ecfcdf011b493a3e718c1f" . "e7034e0dcd" => base64_decode("OjpMb2FkRnJvbUZvcm0" . "oKSBtdXN0IGJlIHJlZG" . "VmaW5lZA=="));





class FFControlAbstract extends ErrorHandler
{
    protected $key;
    protected $title;
    protected $data;
    protected $containter_name = "FFControl";
    public function __construct($key, $title)
    {
        $this->key = $key;
        $this->title = $title;
        $this->data = array();
    }
    public function StoreToString()
    {
        return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_96be32a6f44" . "bf54e635e173" . "6acf7a96c"]($this->data);
    }
    public function LoadFromString($_939c6a45ff74323dbef487ed15753a7c)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_5e9a99dc0dd49" . "b907abf1b35e96" . "965f8"]($_939c6a45ff74323dbef487ed15753a7c) === $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_4d707fab93bebb00bbe69" . "e8159697c90"]) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_00228d8faefcea4" . "0b88e38b6f0ef8fb" . "8"]);
        }
        $this->data = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_c244a470df52d1" . "d5a7085138ec94e" . "393"]($_939c6a45ff74323dbef487ed15753a7c);
        return true;
    }
    public function LoadFromForm()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_347a4304a606a9c406a8fbc8f72530" . "a1"] . $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_fc9d7314a9d9958d8fa0a40" . "3ba8ff197"]($this) . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_ecfcdf011b493a3e7" . "18c1fe7034e0dcd"]);
    }
    public function Draw()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_347a4304a" . "606a9c406a" . "8fbc8f7253" . "0a1"] . $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_fc9d7314a9d9" . "958d8fa0a403b" . "a8ff197"]($this) . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_c9ae15d69685c02eeabd974f86df5" . "1ba"]);
    }
    public function SaveIntoSession()
    {
        $_SESSION[$this->container_name][$this->key] = $this->data;
    }
    public function LoadFromSession()
    {
        if (isset($_SESSION[$this->container_name][$this->key])) {
            $this->data = $_SESSION[$this->container_name][$this->key];
            return true;
        }
        return false;
    }
    public function GetParams()
    {
        return $this->data;
    }
    public function GetParam($_8dabb06efc95df4cff7c4afe91857b53)
    {
        return $this->data[$_8dabb06efc95df4cff7c4afe91857b53];
    }
    public function SetParam($_8dabb06efc95df4cff7c4afe91857b53, $value)
    {
        $this->data[$_8dabb06efc95df4cff7c4afe91857b53] = $value;
    }
    public function GetKey()
    {
        return $this->key;
    }
    public function GetTitle()
    {
        return $this->title;
    }
}